> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getello.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base

> Deletes a knowledge base by ID. Workspace is derived from the authenticated token (X-Workspace-ID / user token).



## OpenAPI

````yaml /api-reference/openapi.json delete /api/knowledge-base/{kb_id}
openapi: 3.1.0
info:
  title: Ello.AI API
  description: API for managing agents and calls in Ello.AI
  version: 1.0.0
servers:
  - url: https://api.getello.ai/
security: []
paths:
  /api/knowledge-base/{kb_id}:
    delete:
      tags:
        - Knowledge
      summary: Delete Knowledge Base
      description: >-
        Deletes a knowledge base by ID. Workspace is derived from the
        authenticated token (X-Workspace-ID / user token).
      operationId: deleteKnowledgeBase
      parameters:
        - name: kb_id
          in: path
          description: Unique identifier of the knowledge base
          required: true
          schema:
            type: string
            example: 68370e3d5b7d04371d20b4e1
      responses:
        '200':
          description: Knowledge base deleted successfully
          content:
            application/json:
              schema:
                type: object
                example:
                  status: 200
                  message: Knowledge base deleted successfully
                  data: {}
        '400':
          description: Bad Request / Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Validation Error
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          example: params.kb_id
                        message:
                          type: string
                          example: '"kb_id" is required'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Unauthorized access
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 403
                  message:
                    type: string
                    example: This route requires a user token without scope
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: Error while deleting knowledge base
                  error:
                    type: object
                    properties:
                      details:
                        type: string
                        example: Some internal error message
      security:
        - apiKey: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````